import { ApiBase } from '../Implementation/ApiBase';
import { CellDataChangedInfo } from '../../PredefinedConfig/Common/CellDataChangedInfo';
import { Report, ReportData, SystemReportName } from '../../PredefinedConfig/ExportState';
import { AdaptableColumnType } from '../../PredefinedConfig/Common/Types';
import { ExcelDataType, ExcelStyle, IRowNode } from '@ag-grid-community/core';
import { AdaptableColumn, AdaptableColumnDataType } from '../../PredefinedConfig/Common/AdaptableColumn';
import { AdaptableReportColumn, CustomDestination, DataFormatType, SystemExportDestination } from '../../AdaptableOptions/ExportOptions';
export declare class ExportInternalApi extends ApiBase {
    private excelStylesCache;
    private cellClassKey2excelStyleIdMap;
    private excelStylesWithFormattedDate;
    isDataChangeInReport(cellDataChangedInfo: CellDataChangedInfo, report: Report): boolean;
    getExcelDataType(adaptableColumnType: string | string[] | AdaptableColumnType | AdaptableColumnType[]): ExcelDataType;
    isVisualDataExportInProgress(): boolean;
    isDateCellExportedAsFormattedValue(abColumn: AdaptableColumn): boolean;
    getCellExportFormatType(column: AdaptableColumn, columnDataType: AdaptableColumnDataType): DataFormatType;
    isDestinationEnabled(destination: string): boolean;
    getExcelStylesForVisualDataExport(original_excelStyles: ExcelStyle[]): ExcelStyle[];
    getExcelStyleIdForCellClassKey(cellClassKey: string): string;
    getExcelStyleWithFormattedDate(cellClassId: string): string;
    createSystemReport(systemReportName: SystemReportName): Report;
    isSystemReport(reportName: string): boolean;
    isSystemReportActive(reportName: SystemReportName): boolean;
    isSystemExportDestinationActive(exportDestination: SystemExportDestination): boolean;
    getReportColumnScopeShortDescription(report: Report): string[];
    getReportColumnScopeLongDescription(report: Report): string;
    getReportExpressionDescription(report: Report, cols: AdaptableColumn[]): string;
    getReportDataColumns(report: Report, includePrimaryKey?: boolean): AdaptableReportColumn[];
    getReportDataRows(report: Report, columns: AdaptableReportColumn[], includePrimaryKey?: boolean): Record<string, any>[];
    getReportData(report: Report, includePrimaryKey?: boolean): ReportData;
    getReportDataAsArray(report: Report, includePrimaryKey?: boolean): any[][];
    convertReportDataToArray(reportData: ReportData): any[][];
    getRowObjectForColumnIds(rowNode: IRowNode, columnIds: string[], reportName: string): Record<string, any>;
    publishLiveLiveDataChangedEvent(reportDestination: 'ipushpull' | 'OpenFin', liveDataTrigger: 'Connected' | 'Disconnected' | 'SnapshotSent' | 'LiveDataStarted' | 'LiveDataStopped' | 'LiveDataUpdated', liveReport?: any): void;
    getCellExportValueFromRowNode(rowNode: IRowNode, columnId: string, reportName: string): any;
    getCellExportValueFromRawValue(rowNode: IRowNode, cellRawValue: any, columnId: string, reportName: string): any;
    getReportFileName(reportName: string, destination: SystemExportDestination | CustomDestination): string;
    private getCustomExportDateFormat;
    private getCellExportValueFromRawValueByType;
    buildExcelStylesForVisualReports(): ExcelStyle[];
    createExcelStyleMemoization(): void;
    private convertCSSToExcelStyle;
    private resetExcelStyleMemoization;
    private registerExcelStyle;
    private registerExcelStyleWithFormattedDate;
}
